<?php
$translator = Zend_Registry::getInstance ()->get ('Zend_Translate');
$user       = Zend_Registry::getInstance ()->get ('App_User');

$username = $user->getLogin ();

// Add scripts
$this->headScript()->appendFile('/js/byrei-dyndiv_1.0rc1.js');
$this->headScript()->appendFile('/js/ipresoDialog.js');
$this->headScript()->appendFile('/js/catalog.js');
$this->headScript()->appendFile('/js/mooRainbow.js');
$this->headScript()->appendFile('/js/tinybox.js');

if ($this->orientation)
    $this->headScript ()->appendFile ('/js/orientation.js');
$this->headScript()->appendScript($this->variables);
$this->headScript()->appendScript("
function refreshListboxes(){
    updateEmissionsList ();

    var displayed = catAccordion.previous;
    updateCatalog (displayed);
}
");

// Add CSS for Monitoring
$this->headLink ()->appendStylesheet ('/css/byrei-dyndiv_0.5.css');
$this->headLink ()->appendStylesheet ('/css/catalog.css');
$this->headLink ()->appendStylesheet ('/css/mooRainbow.css');
$this->headLink ()->appendStylesheet ('/css/tiny_style.css');


// Hidden fields
echo "<form id=\"progEdit\" method=\"post\">\n";
echo "  <input type=\"hidden\" id=\"referer\" name=\"referer\" value=\""
        .$this->referer."\" />\n";
echo "  <input type=\"hidden\" id=\"emissionId\" name=\"emissionId\" value=\""
        .$this->emission."\"/>\n";
echo "  <input type=\"hidden\" id=\"emissionDel\" name=\"emissionDel\" value=\"\" />";
echo "  <input type=\"hidden\" id=\"progId\" name=\"progId\" value=\"\"/>\n";
echo "  <input type=\"hidden\" id=\"origEmiName\" name=\"origEmiName\" value=\""
        .$this->emiLabel."\" />\n";
echo "  <input type=\"hidden\" id=\"from\" name=\"from\" value=\""
        .$this->from."\"/>\n";
echo "  <input type=\"hidden\" id=\"emiLayout\" value=\"\" />\n";
echo "</form>\n";

?>

<div id="emission">
<div id="boxL">
    <div id="catalogBox" class="boxContent">
    </div>
    <div id="myUploadDiv">
      <a id="myUploadBox" href="#"><img alt="up" src="/images/Upload.png" />
        <?echo $translator->translate ('Upload a new file');?>
      </a>
    </div>
</div>

<div id="boxM">
    <select id="emiSelect" name="emiSelect" style="width: 270px; margin-top: 10px;">
    </select>
    <input type="text" name="newEmiName" id="newEmiName" value="" />
    <div id="emiLinks" style="width: 70px; float: right; text-align: right; display: none;">
        <a href="#" id="emiRename" style="display: block;"><?echo $translator->translate ('Rename');?></a>
        <a href="#" id="emiDelete" style="display: block;"><?echo $translator->translate ('Delete');?></a>
        <a href="#" id="emiDownload" style="display:block;"><?echo $translator->translate ('Download');?></a>
    </div>
    <div id="tv">
        <div id="layout" class="dynDiv_setLimit">
        </div>
    </div>
<table width="100%"><tr><td align="left">
    <input type="submit" id="newZone" 
            value="<?echo $translator->translate ('New zone');?>" />            
<?
    if ($this->orientation)
    {
        echo "<p style=\"width: 150px; text-align: left; border: 1px solid #aaaaaa; padding: 10px; margin-top: 10px;\">\n";
        echo $translator->translate ('Orientation')."<br />\n";
        echo "<input type=\"radio\" id=\"orL\" name=\"rOrientation\" value=\"landscape\" onclick=\"chgOrientation(this.value)\" />".$translator->translate ('landscape')."<br />\n";
        echo "<input type=\"radio\" id=\"orP\" name=\"rOrientation\" value=\"portrait\" onclick=\"chgOrientation(this.value)\" />".$translator->translate ('portrait')."<br />\n";
        echo "</p>\n";
        echo "<script type=\"text/javascript\">\n";
        echo "initOrientation();\n";
        echo "</script>\n";
    }
?>
</td></tr></table>
</div>

<div id="boxR">
    <div class="boxContent" id="contextualBox">
        <ul id="zonesList"></ul>
    </div>
</div>
</div>

<div style="clear: both;"></div>

<div class="footer_buttons">
  <input type="submit" id="bCancel" value="<?echo $translator->translate ('Cancel');?>" />
  <input type="submit" id="bSave" value="<?echo $translator->translate ('Save to the Catalog');?>" />
<?
    if ($this->permissions && $this->permissions->isAllowed ('Programmation', 'new'))
    {
        // Save and create programmation
        echo "<input type=\"submit\" id=\"bSaveNProg\" "
            ."value=\"".$translator->translate ('Quick programmation')."\" />\n";

        // Create programmation based on viewed emission (without modification)
        echo "<input type=\"submit\" id=\"bOnlyProg\" "
            ."value=\"".$translator->translate ('Quick programmation')."\" />\n";
    }
?>
</div>
<?
